# Enum Class VulkanValidationDebugActionValue

java.lang.Object
java.lang.Enum<VulkanValidationDebugActionValue>
com.io7m.jcoronado.layers.khronos_validation.api.VulkanValidationDebugActionValue

All Implemented Interfaces:
  `Serializable, Comparable<VulkanValidationDebugActionValue>, Constable`

public enum VulkanValidationDebugActionValue extends Enum<VulkanValidationDebugActionValue>
Specifies what action is to be taken when a layer reports information.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DBG_LAYER_ACTION_BREAK`
  Trigger a breakpoint if a debugger is in use.
  `VK_DBG_LAYER_ACTION_DEBUG_OUTPUT`
  Log a txt message using the Windows OutputDebugString function.
  `VK_DBG_LAYER_ACTION_LOG_MSG`
  Log a txt message to stdout or to a log filename.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanValidationDebugActionValue`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanValidationDebugActionValue[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DBG_LAYER_ACTION_LOG_MSG

    public static final VulkanValidationDebugActionValue VK_DBG_LAYER_ACTION_LOG_MSG
    Log a txt message to stdout or to a log filename.

  - ### VK_DBG_LAYER_ACTION_DEBUG_OUTPUT

    public static final VulkanValidationDebugActionValue VK_DBG_LAYER_ACTION_DEBUG_OUTPUT
    Log a txt message using the Windows OutputDebugString function.

  - ### VK_DBG_LAYER_ACTION_BREAK

    public static final VulkanValidationDebugActionValue VK_DBG_LAYER_ACTION_BREAK
    Trigger a breakpoint if a debugger is in use.

- ## Method Details

  - ### values

    public static VulkanValidationDebugActionValue[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanValidationDebugActionValue valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null